#
# spec file for package SDL (Version 1.2.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base aalib aalib-devel acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel klogd less libacl libattr libcom_err libdrm libgcc41 libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtool libvolume_id libvorbis libvorbis-devel libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools nasm ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           SDL
BuildRequires:  aalib-devel arts-devel esound-devel nasm
 
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          System/Libraries
Autoreqprov:    on
Version:        1.2.11
Release:        22.262
Summary:        Simple DirectMedia Layer Library
Source:         SDL-%{version}.tar.bz2
#Patch1:         SDL-%{version}-ia64.patch
#Patch2:         SDL-%{version}-automake.patch
Patch3:         SDL-%{version}-rpath.patch
Patch6:         SDL-%{version}-autoconf.patch
#Patch7:         SDL-%{version}-byteorder-fix.dif
#Patch10:        SDL-%{version}-warn.patch
#Patch11:        fix-unused-variables.patch
#Patch12:        SDL-%{version}-xinerama.patch
#Patch14:        SDL-%{version}-gcc4.patch
Patch15:        SDL-%{version}-no_anonymus_enum.patch
#Patch16:        nonexec-stack.diff
Patch17:        SDL-%{version}-try_alsa_first.patch
#Patch18:        SDL-%{version}-padding.patch
#Patch19:        SDL-%{version}-fix-32bit-visual.patch
Provides:       sdl
Obsoletes:      sdl
URL:            http://www.libsdl.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the "Simple DirectMedia Layer" library. It provides a generic
API for access to audio, keyboard, mouse, and display framebuffer
across multiple platforms.



Authors:
--------
    Sam Lantinga <slouken@libsdl.org>

%debug_package
%package devel
Summary:        SDL Library Developer Files
Group:          Development/Libraries/X11
Provides:       sdl-devel
Obsoletes:      sdl-devel
Requires:       SDL = %{version} libstdc++-devel aalib-devel xorg-x11-devel gcc
Requires:       alsa-devel

%description devel
This package contains files needed for development with the SDL
library.



Authors:
--------
    Sam Lantinga <slouken@libsdl.org>

%prep
%setup -q -n SDL-%{version}
%patch3
%patch6
%patch15
%patch17

%build
# Check for which CPU requirement we opimize and 
# set _target_cpu to the CPU requirement or if no CPU
# requirement opimizations, just the architecture:
%define _target_cpu %(OPT_ARCH=`echo "%optflags"|sed -n "s/.*-march=\\([^[:space:]]*\\).*/\\1/p"`; echo ${OPT_ARCH:-%{_arch}})
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# -fomit-frame-pointer breaks the MMX YV12 conversion on gcc 2.95.2,
# so only add -fomit-frame-pointer if we are not in i386:
if [ "%{_arch}" != i386 ]; then
    export CFLAGS="$CFLAGS -fomit-frame-pointer"
fi
export CXXFLAGS="$CFLAGS"
./autogen.sh
./configure \
	--build=%{_target_platform} \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--disable-video-svga \
	--disable-video-ggi \
	--enable-video-aalib \
	--disable-debug \
	--enable-xfree86-glidehack \
	--enable-dlopen \
	--libdir=%{_libdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
if [ "$RPM_BUILD_ROOT" != / ];then rm -rf "$RPM_BUILD_ROOT";fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{_libdir}/libSDL-1.2.so.0*

%files devel
%defattr(-,root,root)
%doc README README-SDL.txt CREDITS BUGS WhatsNew docs.html
%doc docs/index.html docs/html
%{_libdir}/libSDL.a
%{_libdir}/libSDL.la
%{_libdir}/libSDL.so
%{_libdir}/libSDLmain.a
%{_bindir}/*
%{_includedir}/SDL
%{_datadir}/aclocal/*
%{_mandir}/*/*
%{_libdir}/pkgconfig/sdl.pc

%changelog -n SDL
* Tue Sep 19 2006 - dmueller@suse.de
- remove slang requires
* Fri Sep 08 2006 - nadvornik@suse.cz
- updated to 1.2.11
  * API enhancements
  * dynamic X11 loading
  * upstream Xinerama support
  * pkgconfig configuration support
* Thu Jun 01 2006 - nadvornik@suse.cz
- use upstream patch for 32 visuals bug [#178725]
* Wed May 31 2006 - nadvornik@suse.cz
- do not use depth 32 visuals [#178725]
* Fri Mar 10 2006 - bk@suse.de
- remove the ifnarch s390 s390x for Requires: alsa-devel (obsolete)
* Thu Mar 09 2006 - bk@suse.de
- remove esound-devel from Requires of SDL-devel [#115205]
- remove gcc-c++ from Requires of SDL-devel (moved to the packages)
- add libstdc++ and gcc to Requires of SDL-devel(req. by libSDL.la)
* Fri Feb 10 2006 - schwab@suse.de
- Fix inconsistent use of structure padding.
* Tue Jan 31 2006 - aj@suse.de
- Reduce BuildRequires.
- Fix requires of SDL-devel.
* Mon Jan 30 2006 - nadvornik@suse.cz
- added gcc-c++ to Requires of SDL-devel (it should be possible
  to build SDL with arts support and without c++ dependency,
  but this is more safe for now)
* Thu Jan 26 2006 - nadvornik@suse.cz
- removed arts-devel from Requires: of SDL-devel [#115205]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 15 2005 - nadvornik@suse.cz
- updated to 1.2.9
- use alsa by default [#114750]
* Tue Nov 01 2005 - dmueller@suse.de
- build libSDL with nonexecutable stack
* Mon Oct 10 2005 - nadvornik@suse.cz
- used -fno-strict-aliasing, removed possibly broken fix
* Tue Jul 19 2005 - nadvornik@suse.cz
- fixed Requires of devel subpackage
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Apr 13 2005 - pth@suse.de
- Give the anonymous enums in SDL_events.h a name so
  that they're acceptable even for an operator<<.
* Mon Apr 04 2005 - nadvornik@suse.cz
- fixed to compile with gcc4
* Wed Jan 12 2005 - schwab@suse.de
- Fix asm constraints for x86_64.
* Thu Jan 06 2005 - nadvornik@suse.cz
- updated to 1.2.8:
  * libasound is dlopened
  * many bugfixes
* Thu Nov 18 2004 - nadvornik@suse.cz
- do not add rpath to sdl-config --libs [#48331]
* Wed Jul 07 2004 - sndirsch@suse.de
- SDL-1.2.7-xinerama.patch:
  * use first monitor for fullscreen mode in Xinerama mode (instead
  of both, which is very annoying!); SDL_VIDEO_X11_XINERAMA_SCREEN
  environment variable needs to be set for this, so it shouldn't
  hurt, if the patch isn't perfect
* Wed Mar 03 2004 - nadvornik@suse.cz
- updated to 1.2.7
* Fri Feb 20 2004 - nadvornik@suse.cz
- fixed underquoted definitions [#34764]
* Thu Feb 05 2004 - nadvornik@suse.cz
- updated to 1.2.6
  - arts and esound libs are dlopened
- fixed dangerous compiler warnings
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Fri Nov 21 2003 - ro@suse.de
- compile with -DALSA_PCM_OLD_HW_PARAMS_API
* Mon Oct 06 2003 - ro@suse.de
- added glib2(-devel) to neededforbuild (arts)
* Wed Sep 17 2003 - tiwai@suse.de
- fixed the detection of ALSA device using non-blocking open mode.
* Tue Jul 29 2003 - aj@suse.de
- Fix problems exposed by unit-at-a-time.
* Thu Jun 19 2003 - ro@suse.de
- fix build with current automake
* Mon May 26 2003 - ro@suse.de
- fix problem with target_cpu macro definition in specfile
- fix head calling syntax in configure.in
* Tue May 13 2003 - ro@suse.de
- hack to build with current libtool
* Mon Mar 31 2003 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Wed Nov 20 2002 - ro@suse.de
- work around problem with latest automake
* Tue Nov 12 2002 - nadvornik@suse.cz
  updated to 1.2.5: bugfix release
* Sun Nov 10 2002 - ro@suse.de
- fix deprecated multiline string literal for gcc-3.3
* Tue Sep 24 2002 - froh@suse.de
- %%-ifarch'ed Requires: alsa-devel for all but s390 and s390x (#18647)
* Mon Sep 09 2002 - kukuk@suse.de
- Remove kdelibs3-devel from neededforbuild
* Tue Aug 20 2002 - tiwai@suse.de
- fixed endian check using endian.h [bug #18106]
* Mon Aug 12 2002 - ro@suse.de
- remove OBJCDEPFLAGS from configure.in
* Mon Jun 10 2002 - meissner@suse.de
- use system AM_PROG_LIBTOOL, so we get a newer libtool.
* Tue May 21 2002 - nadvornik@suse.cz
- added SDL-devel requires aalib-devel [bug #15699]
* Wed May 15 2002 - ro@suse.de
- fix rpath for lib64 in sdl-config
* Tue Apr 30 2002 - bk@suse.de
- update to 1.2.4
- remove obsolete -malign stuff(opt_flags use -mcpu=i686 now)
* Tue Apr 02 2002 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Fri Feb 15 2002 - ro@suse.de
- changed neededforbuild <kdelibs3-artsd> to <arts arts-devel>
* Mon Feb 04 2002 - egmont@suselinux.hu
- enable aalib support
* Tue Jan 22 2002 - uli@suse.de
- build with KDE 3
* Wed Jan 09 2002 - nadvornik@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Mon Dec 03 2001 - tiwai@suse.de
- added support for ALSA 0.9.0.
* Mon Nov 26 2001 - nadvornik@suse.cz
- update to 1.2.3:
  - added X11 Xinerama support
  - added platform independent OpenGL header - SDL_opengl.h
  - added support for DirectFB video on Linux
  - added initial NVidia acceleration on framebuffer console
* Wed Nov 07 2001 - nadvornik@suse.cz
- fixed src/hermes/Makefile.am for new automake
- SDL_devel requires alsa-devel and esound-devel [bug #8630]
* Tue Nov 06 2001 - nadvornik@suse.cz
- fixed to compile with new automake
* Tue Sep 04 2001 - nadvornik@suse.cz
- do not use -fomit-frame-pointer on i386 arch
* Tue Aug 07 2001 - nadvornik@suse.cz
- installed correctly
* Thu Aug 02 2001 - nadvornik@suse.cz
- renamed sdl -> SDL
- changed kdelibs -> kdelibs-artsd in neededforbuild
- updated to 1.2.2
* Mon Jun 18 2001 - nadvornik@suse.cz
- compiled with aRts support (bug #8601)
- added nasm to neededforbuild
* Thu May 17 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Apr 14 2001 - schwab@suse.de
- Run autoconf prior to configuring.
* Thu Apr 12 2001 - nadvornik@suse.cz
- update to 1.2.0
* Mon Mar 26 2001 - kkaempf@suse.de
- package split -devel
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Tue Mar 06 2001 - bk@suse.de
- fix _target_platform: set _target_cpu from arch and optflags
- does not use -mcpu=pentiumpro any longer, uses other optimisations
- fix broken 486 case in configure(.in): -march=486 -> -march=i486
- remove duplicate entries from %%doc lines
* Sun Feb 18 2001 - bk@suse.de
- update to 1.1.8, use RPM_OPT_FLAGS and enable sdl optimisations
- fix manuals installation and simplify documentation installation
- SDL-1.1.8.dif: disable -march=pentium, allowing -mcpu=pentiumpro
* Sat Nov 04 2000 - kukuk@suse.de
- fix neededforbuild
* Tue Oct 24 2000 - nadvornik@suse.cz
- update to 1.1.6
* Tue Sep 05 2000 - nadvornik@suse.cz
- back to suse_update_config -f (with libtool 1.3.5 it works)
* Thu Aug 31 2000 - nadvornik@suse.cz
- used suse_update_config -fl
- removed -lXv from sdl-config
* Mon Aug 28 2000 - nadvornik@suse.cz
- removed xdevel3 from neededforbuild (1.1.4 does not need it)
- added mesa, mesadev, mesasoft to neededforbuild
- added -lXv to sdl-config
* Wed Aug 16 2000 - uli@suse.de
- update -> 1.1.4 (need this for smpeg-xmms)
* Fri Jul 28 2000 - nadvornik@suse.cz
- compiled with xdevel3 to work with xf86 3.3.6
* Tue May 23 2000 - freitag@suse.de
- new version 1.1.2
- xdevel to neededforbuild to get libXx...
* Wed May 03 2000 - kukuk@suse.de
- Fix configure for new libtool
- use defaultdocdir macro
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Sun Apr 02 2000 - sndirsch@suse.de
- update to version 1.0.8 (e.g. required by aleclone 1.16.1)
* Mon Feb 28 2000 - freitag@suse.de
- spec-cleanup
* Wed Dec 15 1999 - freitag@suse.de
- update to version 1.0.1
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Tue Sep 21 1999 - uli@suse.de
- run Configure.sh on PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 31 1999 - ro@suse.de
- added code to build on alpha
  (copied from linuxthreads-0.6 like the rest)
* Wed May 26 1999 - uli@suse.de
- added sdldev subpack
* Fri May 21 1999 - uli@suse.de
- fixed #includes/definitions for glibc 2.1
* Mon Mar 22 1999 - uli@suse.de
- new package, version 0.9.9
